tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fu-Tung Cheng <futung.ch...@yahoo.com>
Subject Re: ant download - failed
Date Tue, 05 Aug 2008 16:17:16 GMT
Hi Mark,

Thanks for the help using the 1.5 jdk worked.

Could the building instructions be updated or would jdk 1.6 work for build.xml just not extras.xml?

http://tomcat.apache.org/tomcat-6.0-doc/building.html

>>Download a Java Development Kit (JDK) release (version 1.5.x or later)

Fu-Tung


--- On Tue, 8/5/08, Mark Thomas <markt@apache.org> wrote:

> From: Mark Thomas <markt@apache.org>
> Subject: Re: ant download - failed
> To: "Tomcat Developers List" <dev@tomcat.apache.org>
> Date: Tuesday, August 5, 2008, 8:26 AM
> Fu-Tung Cheng wrote:
> > Hi,
> > 
> > I am just trying to build tomcat for the first time. 
> I have jdk 1.6.0.03-b05 and ant 1.7.0 and I am using the
> source download 6.0.18.  This is on windows xp.
> 
> You can't build Tomcat on a 1.6 JDK due to a dbcp
> incompatibility (to be 
> fair to commons, Sun broke the API). If you use a 1.5 JDK
> you'll be fine.
> 
> Mark
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: dev-help@tomcat.apache.org


      


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message